<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net8.0-windows8.0</TargetFramework>
    <UseWindowsForms>true</UseWindowsForms>
    <NoWin32Manifest>true</NoWin32Manifest>
    <ApplicationIcon>favicon.ico</ApplicationIcon>
    <SignAssembly>false</SignAssembly>
    <AssemblyName>fizzylauncher</AssemblyName>
    <Authors>Ray Lam</Authors>
    <Company>Hi, I'm Ray</Company>
    <Product>Fizzy Launcher</Product>
    <Copyright>Ray Lam</Copyright>
    <AssemblyVersion>1.0.0.0</AssemblyVersion>
    <FileVersion>1.0.0.0</FileVersion>
    <Version>0.2.5.058</Version>
    <EnableNETAnalyzers>False</EnableNETAnalyzers>
    <PlatformTarget>x64</PlatformTarget>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <OutputPath>bin\Debug\</OutputPath>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DebugType>none</DebugType>
    <DebugSymbols>false</DebugSymbols>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="#\**" />
    <Compile Remove="Resources\UI\**" />
    <Compile Remove="RyzStudio\**" />
    <Compile Remove="Text\**" />
    <EmbeddedResource Remove="#\**" />
    <EmbeddedResource Remove="Resources\UI\**" />
    <EmbeddedResource Remove="RyzStudio\**" />
    <EmbeddedResource Remove="Text\**" />
    <None Remove="#\**" />
    <None Remove="Resources\UI\**" />
    <None Remove="RyzStudio\**" />
    <None Remove="Text\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="UIResource.Designer.cs" />
    <Compile Remove="Windows\Forms\TileContainer.cs" />
    <Compile Remove="Windows\Forms\TilePanelLayout.cs" />
    <Compile Remove="Windows\Forms\TilePanelLayout.Designer.cs" />
    <Compile Remove="Windows\GridTableLayout.cs" />
    <Compile Remove="Windows\GridTableLayout.Designer.cs" />
    <Compile Remove="Windows\TileGridPanel.cs" />
    <Compile Remove="Windows\TileGridPanel.Designer.cs" />
    <Compile Remove="Windows\TileGridPanelLayout.cs" />
    <Compile Remove="Windows\TileGridPanelLayout.Designer.cs" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Remove="UIResource.resx" />
    <EmbeddedResource Remove="Windows\Forms\TileContainer.resx" />
    <EmbeddedResource Remove="Windows\Forms\TilePanelLayout.resx" />
    <EmbeddedResource Remove="Windows\GridTableLayout.resx" />
    <EmbeddedResource Remove="Windows\TileGridPanel.resx" />
    <EmbeddedResource Remove="Windows\TileGridPanelLayout.resx" />
  </ItemGroup>

  <ItemGroup>
    <None Remove=".gitignore" />
    <None Remove="build.bat" />
    <None Remove="installer-64.iss" />
    <None Remove="installer-86.iss" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\ryzstudio8\core\RyzStudio.csproj" />
    <ProjectReference Include="..\ryzstudio8\windows.forms\RyzStudio.Windows.Forms.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="AppResource.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>AppResource.resx</DependentUpon>
    </Compile>
    <Compile Update="NewForm.cs" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="AppResource.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>AppResource.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

</Project>